*************** Comparator test ***************
.protect
*************** Choose one process corner ***************
.lib '/home/ncku_class/analog2023/analog23000/cic018.l' TT
*.lib '/home/ncku_class/analog2023/analog23000/cic018.l' SS
*.lib '/home/ncku_class/analog2023/analog23000/cic018.l' FF
.unprotect
.inc 'subckts.sp'

*************** Unfixed parameters ***************
.PARAM t1='30p'
.PARAM t2='5p'

***************  Fixed parameters ***************
.PARAM t_0='1n'
.PARAM t_0t='t_0+1p'
.PARAM t_1='t_0+t1'
.PARAM t_1t='t_1+1p'
.PARAM t_1a='t_1+t2'
.PARAM t_1at='t_1a+1p'
.PARAM deltaV='0.75e-3'

*************** Unfixed sources *************** 
vbp vbp gnd 0.9V
vbn vbn gnd 0.6V

***************  Fixed sources *************** 
VDD vdd gnd 1.8V
VGND gnd 0 0V
vin+ in+ gnd pwl 0 0.9V t_0 0.9V t_0t '0.9+deltaV'
vin- in- gnd pwl 0 0.9V t_0 0.9V t_0t '0.9-deltaV'
vclk1 clk1 gnd pwl 0 0 t_1 0 t_1t 1.8V t_1a 1.8V t_1at 0V
vclk2 clk2 gnd pwl 0 1.8 t_0 1.8 t_0t 0 
vclk1b clk1b gnd pwl 0 1.8 t_1 1.8 t_1t 0V t_1a 0V t_1at 1.8V
vclk2b clk2b gnd pwl 0 0 t_0 0 t_0t 1.8 

***************  Circuits  *************** 
** preamplifier
X0 in+ in- out+ out- vbp vbn vdd gnd pre_amp
** latch
X1 vx vy vdd gnd inv_latch
X2 vy vx vdd gnd inv_latch
** load
CL1 vx gnd 10f
CL2 vy gnd 10f
** ideal switch
*Gs1 out+ vx VCR pwl(1) clk1 gnd 0v,100meg 1.8v,0.001
*Gs2 out- vy VCR pwl(1) clk1 gnd 0v,100meg 1.8v,0.001
*Gs3 vx vy VCR pwl(1) clk2 gnd 0v,100meg 1.8v,0.001
** real switch
Xs1 out+ vx clk1 clk1b vdd gnd realswitch
Xs2 out- vy clk1 clk1b vdd gnd realswitch
Xs3 vx vy clk2 clk2b vdd gnd realswitch

***************  Options  *************** 
.tran 1p 3n 
.op
.option post .END
